List saved planner sessions for the authenticated user.
curl --request GET \
--url https://api.nebyoulous.space/planner/sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/planner/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/planner/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sessions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationLat": 123,
"locationLng": 123,
"locationLabel": "<string>",
"sessionDate": "<string>",
"score": 123,
"planData": "<unknown>",
"notes": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"gearProfile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"integrationSets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
],
"sessionTargets": [
{
"dsoCatalog": {
"catalogId": "<string>"
}
}
]
}
]
}{
"code": "<string>",
"message": "<string>"
}Planner
List saved planner sessions for the authenticated user.
GET
/
planner
/
sessions
List saved planner sessions for the authenticated user.
curl --request GET \
--url https://api.nebyoulous.space/planner/sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/planner/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/planner/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sessions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationLat": 123,
"locationLng": 123,
"locationLabel": "<string>",
"sessionDate": "<string>",
"score": 123,
"planData": "<unknown>",
"notes": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"gearProfile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"integrationSets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
],
"sessionTargets": [
{
"dsoCatalog": {
"catalogId": "<string>"
}
}
]
}
]
}{
"code": "<string>",
"message": "<string>"
}